Bug 1091568 - (CVE-2014-4338) CVE-2014-4338 cups-filters: unsupported BrowseAllow value lets cups-browsed accept from all hosts
CVE-2014-4338 cups-filters: unsupported BrowseAllow value lets cups-browsed a...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140425,repor...
: Security
Depends On: 1091569 1150516 1150520
Blocks: 1091571
  Show dependency treegraph
 
Reported: 2014-04-25 19:11 EDT by Vincent Danen
Modified: 2015-11-25 05:14 EST (History)
5 users (show)

See Also:
Fixed In Version: cups-filters 1.0.53
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the cups-browsed daemon interpreted the "BrowseAllow" directive in the cups-browsed.conf file. An attacker able to add a malformed "BrowseAllow" directive to the cups-browsed.conf file could use this flaw to bypass intended access restrictions.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2014-04-25 19:11:45 EDT
A flaw in cups-filters was fixed upstream [1] and is described as follows:

cups-browsed: SECURITY FIX: Fix on usage of the "BrowseAllow" directive in cups-browsed.conf. Before, if the argument of a "BrowseAllow" directive is not understood it is treated as the directive not having been there, allowing any host if this was the only "BrowseAllow" directive. Now we treat this as a directive which no host can fulfill, not allowing any host if it was the only one. No "BrowseAllow" directive means access for all, as before ([2]).


[1] http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7195
[2] https://bugs.linuxfoundation.org/show_bug.cgi?id=1204
Comment 1 Vincent Danen 2014-04-25 19:12:24 EDT
Created cups-filters tracking bugs for this issue:

Affects: fedora-all [bug 1091569]
Comment 5 Fedora Update System 2014-05-05 23:37:55 EDT
cups-filters-1.0.53-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-06-09 22:53:20 EDT
cups-filters-1.0.53-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Murray McAllister 2014-06-19 23:10:36 EDT
MITRE assigned CVE-2014-4338 to this issue:

http://seclists.org/oss-sec/2014/q2/590
Comment 11 Martin Prpic 2014-10-29 11:36:53 EDT
IssueDescription:

A flaw was found in the way the cups-browsed daemon interpreted the "BrowseAllow" directive in the cups-browsed.conf file. An attacker able to add a malformed "BrowseAllow" directive to the cups-browsed.conf file could use this flaw to bypass intended access restrictions.
Comment 13 errata-xmlrpc 2014-11-03 13:30:00 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1795 https://rhn.redhat.com/errata/RHSA-2014-1795.html

Note You need to log in before you can comment on or make changes to this bug.